Bug 129401

Summary: FreeBSD Multimedia page should automatically pick up YouTube videos from 'bsdconferences' channel
Product: Documentation Reporter: Murray Stokely <murray>
Component: DocumentationAssignee: Sergio Carlavilla Delgado <carlavilla>
Status: Closed FIXED    
Severity: Affects Only Me CC: carlavilla
Priority: Normal    
Version: Latest   
Hardware: Any   
OS: Any   

Description Murray Stokely freebsd_committer 2008-12-03 21:20:00 UTC
We have a new YouTube Channel for BSD content.  There is a rich set of YouTube gdata apis to extract the videos from this channel.  The web build should download the RSS/AtomPub feed, extract videos from this channel tagged 'freebsd', and add them to the multimedia page.  The YouTube channel is at :

http://www.youtube.com/bsdconferences

and the multimedia page I'm referring to is here :

http://www.freebsd.org/multimedia/multimedia.html

Information about the YouTube APIs is available here :

http://code.google.com/apis/youtube/overview.html
Comment 1 murray 2008-12-15 00:17:26 UTC
Note that in order to do this properly, we have a couple of
pre-requisites.  For one thing, we need If-Modified-Since: support
added to fetch(1) so that we can easily check RSS feeds in the web
build without overloading web servers.  This is addressed in this PR :

http://www.FreeBSD.org/cgi/query-pr.cgi?pr=bin/87841

Then we need to decide on a standard way for the web build to cache
content from other web servers between builds.  I propose storing
downloaded RSS feeds in $TMPDIR/webbuild so that the downloaded feeds
persist between builds (e.g., we can't keep it in $OBJDIR or make
clean will wipe it out) but not between reboots.

We can then call fetch with the new -i argument added by the patch in
that PR to only download the content if the remote RSS file is newer
than the cached version in $TMPDIR/webbuild.

The rest is just simple XSLT/Makefile glue to actually parse and
include dynamic content from external RSS feeds to our website.  This
may make sense for Flickr, YouTube, Yahoo Upcoming, or other services.

       - Murray
Comment 2 Remko Lodder freebsd_committer 2009-11-06 08:05:36 UTC
Responsible Changed
From-To: freebsd-www->edwin

Hey Edwin, you largely maintain the multimedia setup, would you 
be able to have a look at this?
Comment 3 Eitan Adler freebsd_committer freebsd_triage 2017-12-31 07:59:42 UTC
For bugs matching the following criteria:

Status: In Progress Changed: (is less than) 2014-06-01

Reset to default assignee and clear in-progress tags.

Mail being skipped
Comment 4 commit-hook freebsd_committer 2021-04-01 20:36:37 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/doc/commit/?id=832fed5c8442e6d5299dd85ecb5f4069080ec65d

commit 832fed5c8442e6d5299dd85ecb5f4069080ec65d
Author:     Sergio Carlavilla Delgado <carlavilla@FreeBSD.org>
AuthorDate: 2021-04-01 20:34:27 +0000
Commit:     Sergio Carlavilla Delgado <carlavilla@FreeBSD.org>
CommitDate: 2021-04-01 20:34:27 +0000

    Add hugo shortcode in community page to pick last youtube videos

    Use the youtube hugo shortcode to load the videos from the
    BSD conferences channel.

    PR: 129401

 website/content/en/community/_index.adoc | 16 ++++++++++++++--
 1 file changed, 14 insertions(+), 2 deletions(-)
Comment 5 Sergio Carlavilla Delgado freebsd_committer 2021-04-01 20:37:11 UTC
Log time ago. Fixed!